BasicGraphUI.GraphDropTargetListener (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.basic.BasicGraphUI.GraphDropTargetListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphUI.GraphDropTargetListener

    java.lang.Object
      org.jgraph.plaf.basic.BasicGraphDropTargetListener
          org.jgraph.plaf.basic.BasicGraphUI.GraphDropTargetListener

All Implemented Interfaces:
  ActionListener, DropTargetListener, EventListener, Serializable, UIResource

Enclosing class:
  BasicGraphUI

public class BasicGraphUI.GraphDropTargetListener
extends BasicGraphDropTargetListener
implements Serializable

Graph Drop Target Listener

See Also:
  Serialized Form

Constructor Summary
`BasicGraphUI.GraphDropTargetListener()`

Method Summary
`void` | `dragEnter(DropTargetDragEvent e)`
`void` | `dropActionChanged(DropTargetDragEvent e)`
`protected void` | `restoreComponentState(JComponent comp)` called to restore the state of a component because a drop was not performed.
`protected void` | `saveComponentState(JComponent comp)` called to save the state of a component in case it needs to be restored because a drop is not performed.
`protected void` | `updateInsertionLocation(JComponent comp, Point p)` called to set the insertion location to match the current mouse pointer coordinates.

Methods inherited from class org.jgraph.plaf.basic.BasicGraphDropTargetListener
`actionPerformed, dragExit, dragOver, drop, restoreComponentStateForDrop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGraphUI.GraphDropTargetListener

    public BasicGraphUI.GraphDropTargetListener()

Method Detail

### saveComponentState

    protected void saveComponentState(JComponent comp)

  called to save the state of a component in case it needs to be restored because a drop is not performed.

  Overrides:
    `saveComponentState` in class `BasicGraphDropTargetListener`

### restoreComponentState

    protected void restoreComponentState(JComponent comp)

  called to restore the state of a component because a drop was not performed.

  Overrides:
    `restoreComponentState` in class `BasicGraphDropTargetListener`

### updateInsertionLocation

    protected void updateInsertionLocation(JComponent comp,
                                           Point p)

  called to set the insertion location to match the current mouse pointer coordinates.

  Overrides:
    `updateInsertionLocation` in class `BasicGraphDropTargetListener`

### dragEnter

    public void dragEnter(DropTargetDragEvent e)

  Specified by:
    `dragEnter` in interface `DropTargetListener`
  Overrides:
    `dragEnter` in class `BasicGraphDropTargetListener`

### dropActionChanged

    public void dropActionChanged(DropTargetDragEvent e)

  Specified by:
    `dropActionChanged` in interface `DropTargetListener`
  Overrides:
    `dropActionChanged` in class `BasicGraphDropTargetListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.